# Search Push Devices

> Search the calling user's device registrations; an empty body lists active ones.

Canonical URL: https://docs.botyard.io/docs/api/push-registrations/search_push_devices_v1_me_push_registrations_search_post

`POST /v1/me/push-registrations/search`

Search the calling user's device registrations; an empty body lists active ones.

## Request body

`application/json`: PushRegistrationSearchRequest

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `pagination` | PaginationParams | no | Page to return. |
| `include_disabled` | boolean | no | Also return registrations that no longer receive pushes, with the reason. |

## Responses

| Status | Description | Body |
| --- | --- | --- |
| `200` | Successful Response | PaginatedResponse_PushRegistrationResponse_ |
| `default` | RFC 9457 Problem Details error response | ProblemDetails |

Full schemas: operation `search_push_devices_v1_me_push_registrations_search_post` in the OpenAPI spec at https://api.botyard.io/openapi.json.
